Subject: H.248.14; RE: [Megaco] autonomous event arming of media gateway

From: [email-masked]
Date: Wed, 2 Mar 2005 02:33:42 +0100

Just a side note:
the pre-provisioned EventsDescriptor capability may answer the question
raised (in the context of H.248.14 specific events) in my contribution
AVD-2671, § 5.2.8:

http://ftp3.itu.int/av-arch/avc-site/2005-2008/0502_Mel/AVD-2671.zip

Albrecht

                      "Kevin Boyle"                                                                                                 
                      <[email-masked]         To:      Aleksandr Ryabin <[email-masked]>, Kapil Nayar <[email-masked]>,  
                      om>                      [email-masked]                                                                      
                      Sent by:                 cc:                                                                                  
                      megaco-bounces@i         Subject: RE: [Megaco] autonomous event arming of media gateway                       
                      etf.org                                                                                                       

                      01.03.2005 05:09                                                                                              

RFC 3525 is long out of date.  Please reference the ITU docs, as they are
current.

I believe that there is an item in the IG that corrects some of the
"property" references talked about here.

The MG is certainly permitted to have pre-provisioned events.  The MGC is
equally permitted to send an error descriptor back to the MG in response.
Note that any pre-provisioned events would be overridden by an Events
Descriptor from the MGC.  So, there aren't "persistent events" that would
be
detected regardless of, or in addition to, the Events Descriptor.

Kevin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Aleksandr Ryabin
Sent: Tuesday, March 01, 2005 10:39 AM
To: Kapil Nayar; [email-masked]
Subject: Re: [Megaco] autonomous event arming of media gateway

1. To my knowledge spec does not limit  to any particular events, that is
any set of events can be provisioned in default EventsDescriptor as long as
final EventsDescriptor is valid (i.e. MGC can request it on a termination
in
NULL context).

2.
 From RFC 3525 par "3  Definitions"

    Descriptor:
    A syntactic element of the protocol that groups related properties.
    For instance, the properties of a media flow on the MG can be set by
    the MGC by including the appropriate descriptor in a command.

 From RFC 3525 par 6.2.4 Termination properties and descriptors

    Terminations have properties.  The properties have unique
    PropertyIDs. Most properties have default values, which are
    explicitly defined in this protocol specification or in a package
    (see clause 12) or set by provisioning.  If not provisioned
    otherwise, the properties in all descriptors except TerminationState
    and LocalControl default to empty/"no value" when a Termination is
    first created or returned to the null Context.

I think usage of "property" in above two paragraphs create majority of
confusions.
If you follow the first paragraph's usage then it is very clear from spec
that descriptors can be provisioned. I agree it would be beneficial if we
can add clarification to IG that reference to "property" in  the following
paragraphs used as defined in "Descriptor" definition.

 From RFC 3525 par 6.2.4 Termination properties and descriptors

    The provisioning of a property value in the MG will override any
    default value, be it supplied in this protocol specification or in a
    package.  Therefore if it is essential for the MGC to have full
    control over the property values of a Termination, it should supply
    explicit values when ADDing the Termination to a Context.

 From RFC 3525 par "7.2.3 Subtract"
    When a provisioned Termination is Subtracted from a Context, its
    property values shall revert to:

    -  the default value, if specified for the property and not
       overridden by provisioning;

    -  otherwise, the provisioned value.

Regards,
         Aleks

At 04:52 PM 2/28/2005, Kapil Nayar wrote:
>Hi Aleks/ Tom
>
>Thanks for the informational link...a few doubts still remain.
>
>1. From the example provided by Sampath it seems that generally not all
>events are provision-able - the ones that are shall be explicitly
>specified by the package definition. Is it true?
>
>2. The last line of the last e-mail of the thread (from Carl Rutter)
>specifies "Provisioned events would not be allowed.", unless we have
>some specific text in the protocol the confusion and questions are
>ought to remain - and only proprietary implementations would use this
>useful feature. Please correct if I missed some mail.
>
>Do we expect to see some detailed text about pre-provisioning of
>descriptors in general and event descriptor in particular in the next
>RFC/ draft?
>
>thanks,
>-kapil
>
>  --- Tom Taylor <[email-masked]> wrote:
> > Thanks -- I knew that had been discussed but didn't have the
> > reference at my fingertips.
> >
> > Aleksandr Ryabin wrote:
> > > Raj,
> > >
> > > The following discussion brought up this same
> > question before.
> > >
> >
>http://www.ietf.org/mail-archive/web/megaco/current/msg04845.html
> > >
> > > Regards,
> > >         Aleks
> > >
> > > At 11:20 PM 2/27/2005, Rajkumar Nair wrote:
> > >
> > >> Hi Tom,
> > >>    What should be the value of Request Id in case
> > of these
> > >> pre-provisioned events ?
> > >> Do we have to provision the same Request Id at
> > the MGC too ?
> > >>
> > >> Raj.
> > >>
> > >> >
> > >> > As far as I'm concerned, you can pre-provision
> > the events descriptor
> > >> just as you
> > >> > can other descriptors.  Of course, the
> > implementation has to provide
> > >> an interface
> > >> > to allow this.
> > >> >
> > >> > Tom Taylor
> > >> >
> > >> > Milton wrote:
> > >> > > Hi,
> > >> > >
> > >> > > Initially, at the time of startup of the
> > media gateway is it
> > >> allowed to
> > >> > >  arm certain events for all the terminations
> > without receiving any
> > >> > > explicit event descriptor from MGC ?  I mean,
> > does it in anyway break
> > >> > > the conformance with the protocol?
> > >> > >
> > >> > >
> > >> > >
> > >> > > Regards,
> > >> > >
> > >> > > Milton
> > >> > >
> > >> > >
> > >>
> > >> _______________________________________________
> > >> Megaco mailing list
> > >> [email-masked]
> > >> https://www1.ietf.org/mailman/listinfo/megaco
> > >
> > >
> > >
> > > _______________________________________________
> > > Megaco mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/megaco
> > >
> > >
> >
> > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/megaco
> >
>
>Send instant messages to your online friends
>http://uk.messenger.yahoo.com

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco